package com.livelike.flickersearchlibrary.service

import com.livelike.flickersearchlibrary.api.model.PhotosPage

/**
 * Interface for the service providing Flickr features.
 */
interface FlickrService {

    /**
     * Searches for photos and retrieves [PhotosPage] data.
     *
     * @param searchQuery [String] text query for searching photos.
     * @return [PhotosPage] data with photos matching [searchQuery]
     */
    suspend fun search(searchQuery: String): PhotosPage
}